Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IActivityDiagram

    com.change_vision.jude.api.inf.model.IActivityDiagram

All Superinterfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IActivityDiagram

extends IDiagram

Interface for Activity diagrams.
Flowchart will be considered as a part of Activity Diagram.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IActivity` | `getActivity()` Get Activity.
`abstract boolean` | `isFlowChart()` Check if the diagram is FlowChart.

Methods inherited from class com.change_vision.jude.api.inf.model.IDiagram
`exportImage, getBoundRect, getPresentations, getProperties, getProperty, getText, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getActivity

    abstract IActivity getActivity()

  Get Activity.

  Returns:
    Activity.

### isFlowChart

    abstract boolean isFlowChart()

  Check if the diagram is FlowChart.

  Returns:
    true it is FlowChart / false it is not FlowChart

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD